# VisualStudioSolution

API Documentation: | `VisualStudioSolution`

Note: This class is incubating and may change in a future version of Gradle.

A visual studio solution, representing one or more `NativeBinarySpec` instances from the same `NativeComponentSpec`.

The content and location of the generate solution file can be modified by the supplied methods:

    apply plugin: "visual-studio"
    model {
        visualStudio {
            solutions.all {
                solutionFile.location = "vs/${name}.sln"
                solutionFile.withContent { TextProvider content ->
                    content.asBuilder().insert(0, "# GENERATED FILE: DO NOT EDIT\n")
                    content.text = content.text.replaceAll("HideSolutionNode = FALSE", "HideSolutionNode = TRUE")
                }
            }
        }
    }

### Properties

Property | Description
`projects` | Incubating The set of projects included in this solution.
`solutionFile` | Incubating Configuration for the generated solution file.

### Methods

No methods

### Script blocks

No script blocks

### Property details

#### ``Set`<`VisualStudioProject`>` `projects` (read-only)

Note: This property is incubating and may change in a future version of Gradle.

The set of projects included in this solution.

#### `TextConfigFile` `solutionFile` (read-only)

Note: This property is incubating and may change in a future version of Gradle.

Configuration for the generated solution file.